// Code generated by mockery v2.23.1. DO NOT EDIT.

package scope

import mock "github.com/stretchr/testify/mock"

// MockEntriesMapBuilder is an autogenerated mock type for the EntriesMapBuilder type
type MockEntriesMapBuilder struct {
	mock.Mock
}

// Build provides a mock function with given fields: objects
func (_m *MockEntriesMapBuilder) Build(objects []Object) (EntriesMap, error) {
	ret := _m.Called(objects)

	var r0 EntriesMap
	var r1 error
	if rf, ok := ret.Get(0).(func([]Object) (EntriesMap, error)); ok {
		return rf(objects)
	}
	if rf, ok := ret.Get(0).(func([]Object) EntriesMap); ok {
		r0 = rf(objects)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(EntriesMap)
		}
	}

	if rf, ok := ret.Get(1).(func([]Object) error); ok {
		r1 = rf(objects)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

type mockConstructorTestingTNewMockEntriesMapBuilder interface {
	mock.TestingT
	Cleanup(func())
}

// NewMockEntriesMapBuilder creates a new instance of MockEntriesMapBuilder. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
func NewMockEntriesMapBuilder(t mockConstructorTestingTNewMockEntriesMapBuilder) *MockEntriesMapBuilder {
	mock := &MockEntriesMapBuilder{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
